# Uses of Class
org.springframework.cglib.beans.BeanGenerator

Packages that use BeanGenerator
Package
Description
org.springframework.cglib.beans
Spring's repackaging of the CGLIB beans package (for internal use only).

## Uses of BeanGenerator in org.springframework.cglib.beans

Methods in org.springframework.cglib.beans with parameters of type BeanGenerator
Modifier and Type
Method
Description
`static void`
BeanGenerator.`addProperties(BeanGenerator gen, PropertyDescriptor[] descriptors)`
`static void`
BeanGenerator.`addProperties(BeanGenerator gen, Class type)`
`static void`
BeanGenerator.`addProperties(BeanGenerator gen, Map props)`